Home Technology Ubuntu 19.10 Dropping 32-bit Support Puts Developers in Trouble – It's FOSS

Ubuntu 19.10 Dropping 32-bit Support Puts Developers in Trouble – It's FOSS

21 min read
0
63
Loading...
 

After the recent announcement by Ubuntu for their plans to completely drop the support for i386 (32-bit) architecture form Ubuntu 19.10, a lot of discussion threads have started to pop up across the Internet.

If you know why i386 architecture is still a thing – I assume, you might be super mad at Ubuntu’s engineering team by now.

Ubuntu’s decision to drop i386 architecture and the aftermath

Ubuntu doesn’t provide 32-bit ISO download for its release for the past couple of years. Existing 32-bit Ubuntu users could still upgrade to the newer versions.

But in Ubuntu 19.10, there are no 32-bit libraries, software and tools. If you are using a 32-bit Ubuntu 19.04, you cannot upgrade to Ubuntu 19.10.

After this shocking announcement, the developers of Steam and Wine also commented on it. In addition, a community manager at Canonical shared an interesting insight on Ubuntu 19.10 without 32-bit support.

In this article, we shall take a look at what they had to say (and whether dropping 32-bit support is a good thing or not).

Wine Developers discussing to drop support for Ubuntu 19.10

A Redditor came across one of the messages from Wine dev’s email list that mentioned whether to drop support for Ubuntu 19.10 or make changes to Wine to drop 32-bit support as well.

Here’s what it mentioned:

The immediate question for me is whether to even bother trying to package Wine for Ubuntu 19.10 and up. The suggestion from Ubuntu is to use the 32 bit libraries from 18.04, which will be supported until 2023. It’s theoretically possible for me to build the 32 bit side on the OBS using the libraries from 18.04, but that would lead to a mismatch in library versions the 32 and 64 bit sides were built against. Apt requires the i386 and amd64 versions of packages match or it will refuse to install them, so unless that changes, users of 19.10 and up will be unable to install the 32 bit libraries they need to run Wine, unless they downgrade a significant part of their system to the 18.04 versions.

.u18a06b40609accbd3e76bd9927896968 padding:0px; margin: 0; padding-top:1em!important; padding-bottom:1em!important; width:100%; display: block; font-weight:bold; background-color:#eaeaea; border:0!important; border-left:4px solid #34495E!important; box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); -o-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); text-decoration:none; .u18a06b40609accbd3e76bd9927896968:active, .u18a06b40609accbd3e76bd9927896968:hover opacity: 1; transition: opacity 250ms; webkit-transition: opacity 250ms; text-decoration:none; .u18a06b40609accbd3e76bd9927896968 transition: background-color 250ms; webkit-transition: background-color 250ms; opacity: 1; transition: opacity 250ms; webkit-transition: opacity 250ms; .u18a06b40609accbd3e76bd9927896968 .ctaText font-weight:bold; color:inherit; text-decoration:none; font-size: 16px; .u18a06b40609accbd3e76bd9927896968 .postTitle color:#000000; text-decoration: underline!important; font-size: 16px; .u18a06b40609accbd3e76bd9927896968:hover .postTitle text-decoration: underline!important;

Suggested read  Dropbox To End Sync Support For All Filesystems Except Ext4 on Linux

In addition to this, the dev also discussed the possibility of making Wine to support 64-bit only:

I could build pure 64 bit Wine packages for Ubuntu. We’ve been telling users for 10 years that pure 64 bit Wine is not supported, but with so many systems going 64 bit only, perhaps it’s time to reconsider that policy. There are certainly more 64 bit Windows apps now than there used to be, so it wouldn’t be completely useless. The downside of doing that is that we will spend a lot of time explaining to users that pure 64 bit Wine will not run 32 -bit programs, no matter how many places we plaster that information. The upside is that if we change that policy, I’m ready to go with pure 64 bit CentOS 7 packages.

So, judging by this – we can be sure that dropping i386 architecture is not a smooth choice at all.

Steam might no longer support Ubuntu 19.10 and future releases

A steam dev (Pierre-Loup Griffais) tweeted that Steam will officially no longer support Ubuntu 19.10 and its future releases.

They still have to decide on what distribution to focus on (or to bring back the SteamOS) and how they are planning to minimize breakage for existing users. So, we’ll have to wait on that.

However, as it stands now – Steam is a big deal for the Linux gaming community. Yes, you can start using alternatives to it (like GOG or similar) available for Linux. But, you can’t ignore the fact that the “PCMasterRace” (as I like to call it) loves Steam for its features and the catalog of games offered.

.ue1ec18bc521175944d901f937ba44b43 padding:0px; margin: 0; padding-top:1em!important; padding-bottom:1em!important; width:100%; display: block; font-weight:bold; background-color:#eaeaea; border:0!important; border-left:4px solid #34495E!important; box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); -o-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.17); text-decoration:none; .ue1ec18bc521175944d901f937ba44b43:active, .ue1ec18bc521175944d901f937ba44b43:hover opacity: 1; transition: opacity 250ms; webkit-transition: opacity 250ms; text-decoration:none; .ue1ec18bc521175944d901f937ba44b43 transition: background-color 250ms; webkit-transition: background-color 250ms; opacity: 1; transition: opacity 250ms; webkit-transition: opacity 250ms; .ue1ec18bc521175944d901f937ba44b43 .ctaText font-weight:bold; color:inherit; text-decoration:none; font-size: 16px; .ue1ec18bc521175944d901f937ba44b43 .postTitle color:#000000; text-decoration: underline!important; font-size: 16px; .ue1ec18bc521175944d901f937ba44b43:hover .postTitle text-decoration: underline!important;

Suggested read  Pinta 1.6 Released! Install It In Ubuntu And Linux Mint

So, with Ubuntu’s decision for dropping 32-bit support – this might affect Linux gaming (in general). Or, encourage users to stop using Ubuntu 19.10.

Canonical’s community manager attempts to run games from GOG on Ubuntu 19.10

Alan Pope – a community manager at Canonical (and a Snap Advocate) tested a few games on Ubuntu 19.10 from GOG to see what really happens.

You can take a look at the results yourself – but to sum up:

Either the games failed to installed or launches to end up in a black screen.

Wrapping Up

All things considered, it definitely shows how unhappy the devs are (and the users too) with this decision by Ubuntu’s engineering team.

With that, I have a lot of questions right now:

Didn’t they think about all this before deciding on this? Didn’t they test the compatibility for games and how it would affect Linux gaming?

We can definitely conclude on one thing: this decision is a controversial choice.

Are they going to change their mind about the support for i383 architecture? Do you think it is a good thing? What’s your take on it?

Let us know your thoughts in the comments below.

Let’s block ads! (Why?)


Source link

Loading...
 

Check Also

AP Top 25: Ohio State jumps Clemson to 3rd; Wisconsin falls – The Associated Press

Loading...   Ohio State edged past Clemson to No. 3 in The Associated Press college f…